# The following path should be changed if spiderweb.jl is not in the same folder
include("spiderweb.jl")


λ = -1.

# Compute a specific spiderweb central configuration

𝑛 = 18
ℓ = 100
m = ones(Float64, 𝑛)./ℓ # vector of masses m = (m_1, ..., m_n)
m0 = 0. # central mass
x = float.(1:𝑛) # initial guess for the radii of the circles
x = spiderweb.newton(x, m0, m, λ, 𝑛, ℓ) # Newton method solving f(x) = 0
spiderweb.radii(x, m0, m, λ, 𝑛, ℓ) # Radii Polynomial Approach


# Launch the proofs for all 𝑛 ∈ 𝑛_range and ℓ ∈ ℓ_range

# 𝑛_range = collect(5:1:100)
# ℓ_range = collect(18:1:200)
# spiderweb.proof_𝑛ℓ(λ, 𝑛_range, ℓ_range)
